Module java.corba
Package org.omg.DynamicAny

## Class DynEnumHelper

- java.lang.Object
- - org.omg.DynamicAny.DynEnumHelper

    public abstract class DynEnumHelper
    extends Object

DynEnum objects support the manipulation of IDL enumerated values. The current position of a DynEnum is always -1.

### Constructor Summary

Constructors
Constructor and Description
`DynEnumHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DynEnum` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, DynEnum that)`
`static DynEnum` `narrow(Object obj)`
`static DynEnum` `read(InputStream istream)`
`static TypeCode` `type()`
`static DynEnum` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, DynEnum value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynEnumHelper

    public DynEnumHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              DynEnum that)

#### extract

    public static DynEnum extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static DynEnum read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             DynEnum value)

#### narrow

    public static DynEnum narrow(Object obj)

#### unchecked_narrow

    public static DynEnum unchecked_narrow(Object obj)